Subject: Re: [ANNOUNCE] LibXSLT (1.0.27) test packages available
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Thu, 05 Jun 2003 14:15:11 +0200

Hi Elfyn,

here's some more info on the problem I reported in my last posting:

Downgrading the libxslt package didn't change anything and I still got 
the same error trying to transform my xml document with xsltproc. Only 
after I downgraded the libxml package as well, did my document transform 
again. Unless xsltproc is statically linked against libxml, the problem 
seems to be with the libxml library..

Hope that helps localizing the problem.
Patrick

> Hi Elfyn,
> 
> unfortunately I'm less fortunate with the new libxslt package than Andreas. I cannot translate a simple xml document to html with the new version of xsltproc. Here are some infos:
> 
> $ xsltproc -version
> Using libxml 20507, libxslt 10027 and libexslt 718
> xsltproc was compiled against libxml 20507, libxslt 10027 and libexslt 718
> libxslt 10027 was compiled against libxml 20507
> libexslt 718 was compiled against libxml 20507
> 
> $ xsltproc -catalogs /usr/local/lib/xml/stylesheets/docbook-xsl/html/docbook.xsl Tester2.xml > Tester2.html
> runtime error: file /usr/local/lib/xml/stylesheets/docbook-xsl/html/html-rtf.xsl line 101 element apply-templates
> xsl:apply-templates : can't find doc
> no result for Tester2.xml
> 
> here's the Tester2.xml document:
> <?xml version="1.0" standalone='no'?>
> <!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
>                   "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
> 
> <!-- ROOT ELEMENT -->
> <article class="specification" lang="en" vendor="Fillmore Labs" revision="0.4"> <!-- revision of template -->
> 
>     <!-- OBJECTIVES -->
>     <section id="objectives">
>         <title>Objectives</title>
>         <para>
>             The following chapters describe the required functionality of release 1.
>         </para>
>     </section>
> </article>
> 
> With the old version of xsltproc Tester2.xml translates fine. I'm using the 1.52.1 XSL stylesheets. I tried the 1.61.2 XSL stylesheets as well and got the same result :o(
> 
> Do you know what's going wrong? Please let me know if you need more infos from my side.
> 
> Patrick

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/